Add doxygen tagging support for DALi Version 1.4
[platform/core/uifw/dali-toolkit.git] / automated-tests / build.sh
1 #!/bin/bash
2
3
4 TEMP=`getopt -o rn --long rebuild,no-gen \
5      -n 'genmake' -- "$@"`
6
7 if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
8
9 # Note the quotes around `$TEMP': they are essential!
10 eval set -- "$TEMP"
11
12 opt_rebuild=false
13 opt_generate=true
14
15 while true ; do
16     case "$1" in
17         -r|--rebuild) opt_rebuild=true ; shift ;;
18         -n|--no-gen)  opt_generate=false ; shift ;;
19         --) shift ; break ;;
20         *) shift ;;   # Ignore
21     esac
22 done
23
24 if [ false == $opt_rebuild -o ! -d "build" ] ; then
25     rm -rf build
26     mkdir build
27 fi
28
29 function build
30 {
31     if [ $opt_generate == true -o $opt_rebuild == false ] ; then
32         (cd src/$1; ../../scripts/tcheadgen.sh tct-$1-core.h)
33         if [ $? -ne 0 ]; then echo "Aborting..."; exit 1; fi
34     fi
35     (cd build ; cmake .. -DMODULE=$1 ; make -j7 )
36 }
37
38 if [ -n "$1" ] ; then
39   echo BUILDING ONLY $1
40   build $1
41 else
42   for mod in `ls -1 src/ | grep -v CMakeList `
43   do
44     if [ $mod != 'common' ] && [ $mod != 'manual' ]; then
45         echo BUILDING $mod
46         build $mod
47         if [ $? -ne 0 ]; then echo "Build failed" ; exit 1; fi
48     fi
49   done
50 fi
51
52 echo "Build succeeded"
53 exit 0